<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA6000.php");
include("JQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
include('cat_platillos_CL.php');
	$varible_clase = new clase();
        if(!isset($_POST['tap1']))$_POST['tap1']="";
	$varible_clase->nparte1=strtoupper($_POST["tap1"]);
        if(!isset($_POST['cod_var']))$_POST['cod_var']="";
	$varible_clase->cod_var=strtoupper($_POST["cod_var"]);
        if(!isset($_POST['tap2']))$_POST['tap2']="";
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
        if(!isset($_POST['tap3']))$_POST['tap3']="";
	$varible_clase->ubicacion=strtoupper($_POST["tap3"]);
        if(!isset($_POST['tap4']))$_POST['tap4']="";
	$varible_clase->exi_min=$_POST["tap4"];
        if(!isset($_POST['tap5']))$_POST['tap5']="";
	$varible_clase->exi_max=$_POST["tap5"];
        if(!isset($_POST['tap6']))$_POST['tap6']="";
	$varible_clase->linea=$_POST["tap6"];
        if(!isset($_POST['tap7']))$_POST['tap7']="";
	$varible_clase->gpo_basico=$_POST["tap7"];
        if(!isset($_POST['tap8']))$_POST['tap8']="";
	$varible_clase->cve_marca=$_POST["tap8"];
        if(!isset($_POST['lim_vta1']))$_POST['lim_vta1']="";
	$varible_clase->lim_vta1=$_POST["lim_vta1"];
        if(!isset($_POST['tap11']))$_POST['tap11']="";
	$varible_clase->lim_vta2=$_POST["tap11"];
        if(!isset($_POST['tap12']))$_POST['tap12']="";
	$varible_clase->lim_vta3=$_POST["tap12"];
        if(!isset($_POST['tap13']))$_POST['tap13']="";
	$varible_clase->ven_esp1=$_POST["tap13"];
	//$varible_clase->lim_1=$_POST["tl1"];
	//$varible_clase->lim_2=$_POST["tl2"];
	//$varible_clase->lim_3=$_POST["tl3"];
        if(!isset($_POST['tap14']))$_POST['tap14']="";
	$varible_clase->cve_uni_com=$_POST["tap14"];
        if(!isset($_POST['capacidad']))$_POST['capacidad']="";
	$varible_clase->capacidad=$_POST["capacidad"];
        if(!isset($_POST['tap15']))$_POST['tap15']="";
	$varible_clase->cve_uni_vta=$_POST["tap15"];
	$varible_clase->afe_inv=$_POST["afe_inv"];
        if(!isset($_POST['tap17']))$_POST['tap17']="";
	$varible_clase->cont_nser=$_POST["tap17"];
        if(!isset($_POST['tap9']))$_POST['tap9']="";
	$varible_clase->cve_iva=$_POST["tap9"];
        if(!isset($_POST['tap18']))$_POST['tap18']="";
	$varible_clase->tip_mon=$_POST["tap18"];
	//$varible_clase->fac_rend=$_POST["fac_rend"];
        if(!isset($_POST['fact_max']))$_POST['fact_max']="";
	$varible_clase->fact_max=$_POST["fact_max"];
        if(!isset($_POST['fact_min']))$_POST['fact_min']="";
	$varible_clase->fact_min=$_POST["fact_min"];
        if(!isset($_POST['casillero']))$_POST['casillero']="";
	$varible_clase->casillero=$_POST["casillero"];
	//$varible_clase->dias_alm=$_POST["dias_alm"];
	//$varible_clase->temperatura=$_POST["temperatura"];
	//$varible_clase->proteinas=$_POST["proteinas"];
	//$varible_clase->lipidos=$_POST["lipidos"];
	//$varible_clase->carboidratos=$_POST["carboidratos"];
	//$varible_clase->kcalorias=$_POST["kcalorias"];
	//$varible_clase->calcio=$_POST["calcio"];
	//$varible_clase->sodio=$_POST["sodio"];
	//$varible_clase->potacio=$_POST["potacio"];
        if(!isset($_POST['es_inv']))$_POST['es_inv']="";
	$varible_clase->es_inv=$_POST["es_inv"];
        if(!isset($_POST['cos_prom']))$_POST['cos_prom']="";
	$varible_clase->cos_prom=$_POST["cos_prom"];
        if(!isset($_POST['precio']))$_POST['precio']="";
	$varible_clase->precio=$_POST["precio"];
        if(!isset($_POST['cve_iva_ven']))$_POST['cve_iva_ven']="";
	$varible_clase->cve_iva_ven=$_POST["cve_iva_ven"];
        if(!isset($_POST['afe_coman']))$_POST['afe_coman']="";
	$varible_clase->afe_coman=$_POST["afe_coman"];
        if(!isset($_POST['receta']))$_POST['receta']="";
	$varible_clase->no_rec=$_POST["receta"];
	$varible_clase->iva=$_POST["servicio"];
	$varible_clase->por_serv=$_POST["por_serv"];
	$varible_clase->por_iva=$_POST["por_iva"];
	$varible_clase->impresora=$_POST["impresora"];
        if(!isset($_POST['hf']))$_POST['hf']="";
	$varible_clase->h_fel=$_POST["hf"];
        if(!isset($_POST['pm']))$_POST['pm']="";
	$varible_clase->pid_mod=$_POST["pm"];
	$varible_clase->tipo=$_POST["tipo"];

	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($_POST["fic_tec"]));
	
	
	//$varible_clase->uc_num_doc=strtoupper($_POST["t2"]);
	//$varible_clase->uc_pre_com=strtoupper($_POST["t2"]);
	
	//$varible_clase->exi_fis=strtoupper($_POST["t2"]);
	//$varible_clase->exi_dis=strtoupper($_POST["t2"]);
	//$varible_clase->fec_bck_ord=strtoupper($_POST["t2"]);
	//$varible_clase->bck_ord=strtoupper($_POST["t2"]);
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=cat_platillos_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id =$varible_clase->nparte1;
                if(isset($_FILES['fichero'])){
		if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/platillos/NO_'.$ultimo_id . '.JPG')){
        	}
    	}
                }
		echo '<h2>NUEVO PRODUCTO AGREGADO:'.$ultimo_id.'</h2>';
//				echo '<meta content="1; url=cat_platillos_PR.php"  HTTP-EQUIV="REFRESH">';
		echo '<meta content="1; url=cat_platillos_AG1.php?bot='.$ultimo_id.'"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO DE TIPO DE CARGO</h2>';
		echo $res;
		echo '<meta content="10; url=cat_platillos_PR.php" HTTP-EQUIV="REFRESH">';
	}    
?>
</body>
</html>